<?

class dbSync
{
 var $d_errors = array();
 var $d_infos = array();
 var $d_warnings = array();
 var $d_data = array();
 var $d_tables = array();
 var $d_dbLink = 0;
 var $d_delete = true;
 var $d_update = true;
 var $d_insert = true;

 









 function dbSync( $xml = '', $dbname = '', $type = 'mysql', $host = 'localhost', $user = '', $pass = '' )
 {
 if ( $xml ) {
 $this->setData($xml);
 }
 if ( $dbname ) {
 $this->connectDb( $dbname, $type, $host, $user, $pass );
 }
 }
 
 
 function info( $key, $text, $detail="" )
 {
 $this->d_infos[] = array("key"=>$key, "text"=>$text, "detail"=>$detail ); 
 }
 
 function warning( $key, $text, $detail="" )
 {
 $this->d_warnings[] = array("key"=>$key, "text"=>$text, "detail"=>$detail );
 }
 
 function error( $key, $text, $detail="" )
 {
 $this->d_errors[] = array("key"=>$key, "text"=>$text, "detail"=>$detail);
 }
 
 








 function connectDb( $dbname, $type = 'mysql', $host = 'localhost', $user = '', $pass = '' )
 {
 $db = mydb_connect($dbname, $host, $user, $pass ,$type);
 if (!$db) {
 $this->error( "connectDb", "Could not connect to Database.", "type ($type) host ($host) database ($dbname) user ($user) password (***)");
 $this->d_dbLink = 0;
 return false;
 } else {
 $this->d_dbLink = $db;
 
 } 
 return true;
 }
 
 




 function delete($bool = true) {
 $this->d_delete = $bool;
 }

 




 function insert($bool = true) {
 $this->d_insert = $bool;
 }

 




 function update($bool = true) {
 $this->d_update = $bool;
 }

 




 function setData( $xml )
 {
 
 $param = 'dbsync';
 $xml = "$header\n<$param>$xml</$param>";

 $parser = new XMLParser();
 $parser->loadXML( $xml );
 $xmlstruct = $parser->getStruct();

 if ( !is_array($xmlstruct) )
 {
 $this->error( "xml-parser", "$param: XML-Error(".$parser->getErrorCode().") on Line: ".
 $parser->getErrorLine()." - Col: ".$parser->getErrorCol()." = ".$parser->getErrorMessage(),
 $xml );
 return false;
 }
 
 if (!is_array($xmlstruct['DBSYNC'])) {
 $this->error("xml-structure","Unknown structure. Missing element DBSYNC", $xml);
 return false;
 }
 if (!is_array($xmlstruct['DBSYNC']['childs'])) {
 $this->error("xml-structure","Unknown structure. Missing childs of DBSYNC", $xml);
 return false;
 }
 if (!is_array($xmlstruct['DBSYNC']['childs']['TABLE'])) {
 $this->error("xml-structure","Unknown structure. Missing element TABLE in element DBSYNC", $xml);
 return false;
 }
 
 foreach ($xmlstruct['DBSYNC']['childs']['TABLE'] as $table) {
 if ( is_Array($table['childs']) ) {
 if ( is_Array($table['childs']['ROW']) ) {
 if ( is_Array($table['childs']['ROW'][0]) ) {
 if ( is_Array($table['childs']['ROW'][0]['childs']) ) {
 foreach ($table['childs']['ROW'][0]['childs'] as $field=>$value ) {
 $tablestruct[$table['attributes']['NAME']]['fields'][] = $field;
 if ( is_array($value[0]) ) {
 if ( is_array($value[0]['attributes']) ) {
 if ( $value[0]['attributes']['KEY'] ) {
 $tablestruct[$table['attributes']['NAME']]['keys'][$field] = true;
 }
 }
 }
 }
 }
 }
 }
 }
 }
 
 $this->d_tables = $tablestruct;
 $this->d_data = $xmlstruct;
 return true;
 }
 
 




 function doSync( $xml = '' )
 {
 $ret = true;
 if ( $xml ) {
 if ( !$this->setData ( $xml ) ) {
 return false;
 }
 }
 if (count($this->d_tables) == 0) {
 $this->error( "sync", "No tables to sync.", "Spezify with <table name=\"tablename\">...</table>");
 return false;
 }
 
 foreach ($this->d_data['DBSYNC']['childs']['TABLE'] as $table) {
 $tablename = $table['attributes']['NAME'];
 if ( !$this->d_delete ) {
 $sql = "DELETE FROM ".sqlf_table($tablename);
 $rs = query($sql, false, 0, $this->d_dbLink);
 }
 if ( is_Array($table['childs']) ) {
 if ( is_Array($table['childs']['ROW']) ) {
 foreach ($table['childs']['ROW'] as $_row ) {
 if ( is_Array($_row['childs']) ) {
 $values = Array();
 $sql_values = '';
 $sql_where = '';
 $sql_insert_names = '';
 $sql_insert_values = '';
 foreach ($_row['childs'] as $fieldname=>$_value ) {
 if ( is_array($_value[0]) ){
 $values[$fieldname] = $_value[0]['value'];
 if ( $sql_insert_names ) {
 $sql_insert_names .= ',';
 $sql_insert_values .= ',';
 }
 $sql_insert_names .= sqlf_field($fieldname);
 $sql_insert_values .= ' \''.sqlslashes($_value[0]['value']) .'\'';

 if ( $this->d_tables[$tablename]['keys'][$fieldname] ) {
 if ( $sql_where ) {
 $sql_where .= ' AND ';
 }
 $sql_where .= sqlf_field($fieldname) . ' = \''.sqlslashes($_value[0]['value']) .'\'';
 } else {
 if ( $sql_values ) {
 $sql_values .= ', ';
 }
 $sql_values .= sqlf_field($fieldname) . ' = \''.sqlslashes($_value[0]['value']) .'\'';
 }
 }
 }
 if ( count($values) > 0 ){
 if (count($this->d_tables[$tablename]['keys']) > 0) {
 $tablename = sqlf_table($tablename);
 $sql = "SELECT * FROM $tablename WHERE ($sql_where)";
 $rs = query($sql, false, 0, $this->d_dbLink);
 if ($rs['num'] > 0 && $this->d_update) {
 $sql = "UPDATE $tablename SET $sql_values WHERE ($sql_where)";
 $rs = query($sql, false, 0, $this->d_dbLink);
 } else if ( $this->d_insert ) {
 $sql = "INSERT INTO $tablename ($sql_insert_names) VALUES ($sql_insert_values)";
 $rs = query($sql, false, 0, $this->d_dbLink);
 }
 } else {
 $this->error( "update Table", "Could not update Table ($tablename).", "No key was spezified.");
 $ret = false;
 }
 }
 }
 }
 }
 }
 }
 return $ret;
 }
 

 





 function getXmlParam( $type = 'update')
 {
 }
 
 function getInfos()
 {
 return $this->d_infos;
 }
 
 function getWarnings()
 {
 return $this->d_warnings;
 }
 
 function getErrors()
 {
 return $this->d_errors;
 }
 
 
 
 function hasWarnings()
 {
 return count($this->d_warnings) > 0;
 }
 
 function hasFailed()
 {
 return count($this->d_errors) > 0;
 }
}
 
?>
