<style>
#tree_funcs {
	position: fixed;
	top: 7px;
	right: 0px;
 	z-index:99;
 	width:66px;
 	height: 24px;
	margin: 1px;
	padding-left: 10px;
	padding-right: 10px;
	background-color: #FFFFFF;
}
#tree_funcs img, #tree_flap img {
	border: 0px;
	margin: 1px
}
#tree_funcs a, #tree_flap a {
	display:block;
	width:20px;
	height:20px;
	float:left;
    border: 1px solid transparent;
}
#tree_funcs a:hover img, #tree_flap a:hover img {
	background-color: transparent;
}
#tree_funcs a:hover, #tree_flap a:hover{
	background-color: #FFFFCC;
    border: 1px solid #FFE765;
}
#tree_flap {
	display: none;
	position: fixed;
	top: 0px;
	left: 0px;
	height: 47%;
	width: 75%;
 	z-index:99;
}
#tree_flap a {
	position: relative;
	top: 5px;
	left: 40px;
}
.ac_results {
	z-index: 110;
	-moz-box-shadow: 5px 5px 10px rgba(0,0,0,0.3);
	filter:progid:DXImageTransform.Microsoft.dropshadow(OffX=5, OffY=5, Color='#40000000', Positive='true');
}
.ac_results li {
    padding: 3px;
    display: block;
}
.ac_results ul {
    padding: 0px;
    list-style-image: none;
    list-style-position: outside;
    list-style-type: none;
    border: 1px solid #B5CEF7;
    background-color: white;
    margin: 0px;
}
.ac_over {
    background-color: #B5CEF7;
}
.ac_node, .ac_folder, .ac_page {
	background-image: url('?do=11&module=content&img=domain.gif');
	background-repeat: no-repeat;
	padding: 3px 3px 6px 20px;
}
.ac_folder {
	background-image: url('?do=11&module=content&img=folderpath.gif');
	padding-left: 39px;
	background-position: 0px 0px;
}
.ac_page {
	background-image: url('?do=11&module=content&img=doc.gif');
	padding-left: 39px;
	background-position: 18px 0px;
}

#quickjump, #instantMessage {
	position: fixed;
	top: 8px;
	left: 28px;
	background-color: white;
	border: 1px solid #B5CEF7;
	padding: 0px 10px 0px 10px;
	display: none;
	width: 180px;
	z-index: 100;
	-moz-box-shadow: 0 0 5px #888;
	-webkit-box-shadow: 0 0 5px#888;
	box-shadow: 0 0 5px #888;
}
#quickjump h2, #instantMessage h2 {
	font-size: 18px;
	margin: 5px 0px 5px 0px;
}
#quickjump #pagejumpId {
	display: none;
}
#esc_quickjump {
	float: right;
	font-size: 14px;
	margin-right: -20px;
	margin-top: -10px;
	color: #4C575B;
}
#esc_quickjump img {
	background-color: transparent;
	border: none;
}
#instantMessage {
	width: 78%;
	z-index: 99;
}
#instantMessage .from {
	font-weight: bold;
}
#instantMessageIcon {
	z-index: 98;
	position: absolute;
	top: 10px;
	left: 45px;
	display: none;
}
</style>
<script language="JavaScript">

	function ReadCookie(cookieName) {
		 var theCookie=" "+document.cookie;
		 var ind=theCookie.indexOf(" "+cookieName+"=");
		 if (ind==-1) ind=theCookie.indexOf(";"+cookieName+"=");
		 if (ind==-1 || cookieName=="") return "";
		 var ind1=theCookie.indexOf(";",ind+1);
		 if (ind1==-1) ind1=theCookie.length; 
		 return unescape(theCookie.substring(ind+cookieName.length+2,ind1));
	}

	var gtxScrollElement = undefined;
	treeArea_offset = 42; // 52
	border_offset = 22; // 32

	var tree_width = ReadCookie("cn_tree_width");

	if (tree_width == "") {
		tree_width = 300;
	}

	// Chrome doesn't like frameset resizing
	// Important: change this value when you change the frameset also
	if (top.document.getElementsByTagName('frameset')[2].cols == '300,*') {
		top.document.getElementsByTagName('frameset')[2].cols = tree_width + ',*';
	}

	function resizeTreeArea() {
		var winHeight = gtx_getInnerHeight();
		var winWidth = gtx_getInnerWidth();

	  document.getElementById('treeArea').style.height = (parseInt(winHeight)- treeArea_offset) + "px";

	  if (document.all) {
	  	gtxScrollElement = top.tree.document.documentElement;
	  }
	  else {
	  	gtxScrollElement = top.tree.document.body;
	  }

	  /*document.getElementById('borderContainer').style.height = (parseInt(winHeight)- border_offset) + "px";
	  document.getElementById('borderLeft').style.height = (parseInt(winHeight)- border_offset) + "px";
	  document.getElementById('borderRight').style.height = (parseInt(winHeight)- border_offset) + "px";*/
	}

	/*
	 * store current folder and node id
	 */
	var current = {
		folder: <?=$FOLDER_ID ? $FOLDER_ID : -1;?>,
		node: <?=$NODE_ID ? $NODE_ID : -1;?>
	};

	/*
	 * update current folder and node values when clicking links
	 */
	jQuery(function () {
		jQuery('#tree-content a').click(function () {
			if (!this.href) {
				return;
			}

			var folder = this.href.match(/FOLDER_ID=(\d+)/);
			if (folder && folder.length > 1) {
				current.folder = parseInt(folder[1], 10);
			} else {
				// this is a link to administration or the like
				// reset current
				current.folder = -1;
				current.node = -1;
				return;
			}

			var node = this.href.match(/NODE_ID=(\d+)/);
			if (node && node.length > 1) {
				current.node = parseInt(node[1], 10);
			}
		})
	});
	
	/**
	 * allows you to tell the tree to refresh itself
	 * to display a new folder. if the folder is already
	 * active it won't refresh
	 *
	 * @param {number|string} folderId id of the folder to be opened
	 * @param {number|string} nodeId id corresponding to that folder
	 * @param {string} atposidx string that describes path to be opened
	 */
	function openFolder(folderId, nodeId, atposidx) {
		// check if we're already in that folder

		var folder = parseInt(folderId, 10);
		var node = parseInt(nodeId, 10);

		if ((folder && !node && folder === current.folder) ||
			(folder && node && folder === current.folder && node === current.node)) {
			return;
		}
		top.tree.location.href = '<?=$STAG;?>' +
			'&do=300' +
			'&open_type=<?=$T_FOLDER;?>' +
			'&open_id=' +
			folder +
			'&atposidx=-1' +
			atposidx;
	}
	
	
	
</script>
<?php
$isChrome = (stristr($_SERVER['HTTP_USER_AGENT'], "chrome") === false ? false : true);
?>

<div id="tree_funcs" class="view tree_funcs" <?php if ($isChrome) { ?>style="width: 46px;"<?php } ?>>
<? if ($FEATURE["quickjump"]) { ?><a href="#" onclick="GTXQuickJump.show();"><img src="<?=$STAG_PREFIX;?>?do=11&module=system&img=quickjump.gif" alt="Quickjump (Ctrl+q)" title="Quickjump (Ctrl+q)" width="18" height="18"/></a><? } ?>
<a href="<?=$STAG;?>&do=300&cmd=collapse"><img src="<?=$STAG_PREFIX;?>?do=11&module=system&img=collapse_tree.gif" alt="<?=i18n("collapse_tree");?>" title="<?=i18n("collapse_tree");?>" width="18" height="18"/></a>
<!--a onclick="setSticky = !setSticky; top.tree.frame_big();location.href='<?=$STAG;?>&do=300&cmd=stickytree'" href="#"><img src="<?=$STAG_PREFIX;?>?do=11&module=system&img=<?=$stickyIcon;?>" alt="<?=i18n("sticky_tree");?>" title="<?=i18n("sticky_tree");?>" width="18" height="18"/></a-->
<?php
if (!$isChrome) {
?>
<a onclick="top.tree.frame_small();return false;" href="#"><img src="<?=$STAG_PREFIX;?>?do=11&module=system&img=tree_small.png" alt="<?=i18n("minimize");?>" title="<?=i18n("minimize");?>" width="18" height="18"/></a>
<?php
}
?>
</div>
<div id="tree_flap" class="tree_funcs"><a onClick="top.tree.frame_big(); return false;" href="#"><img src="<?=$STAG_PREFIX;?>?do=11&module=system&img=tree_big.png"  alt="<?=i18n("maximize");?>" title="<?=i18n("maximize");?>"></a></div>

<style type="text/css">

	html { height:100%; }
	body { height:100%; background-color:white; }

	#treeArea { padding:10px 4px 10px 10px; }
	
	#treeTable {
		position: absolute;
		top: 0px;
		left: 0px;
		padding-top: 10px;
		padding-left: 10px;
		padding-bottom: 20px;
	}
	
	#treeFadeOut { 
		position:absolute;
		left:17px;
		top:0px;
		height:10px;
		width:100%;
		background: url(<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=treefadeout.png) repeat-x left top;
		z-index:10;
	}
	
	#treeArea td a:link, #treeArea td a:visited, #treeArea td { font-size:12px; font-family:Arial,Helvetica,Sans-Serif; background-color: #ffffff; }

	.borderTopContainer { height:6px; font-size:1px; margin:0; }
	.borderTop { background:url(<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=shadow_t.png) repeat-x left top; margin:0 6px; font-size:1px; height:6px; }
	.borderTopHack { height:100%; width:100%; font-size:1px; }

	.cornerTopLeft { background:url(<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=corner_lt.png) no-repeat left top; float:left; width:6px; height:6px; font-size:1px; }
	.cornerTopRight { background:url(<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=corner_rt.png) no-repeat right top; float:right; width:6px; height:6px; font-size:1px; }

	.borderContainer { height:100%; margin-left:11px; }
	.borderLeft { height:100%; float:left; width:6px; }
	.borderRight { z-index:15; height:100%; float:right; width:6px; }

	.borderBottomContainer { height:6px; font-size:1px; margin:0; }
	.borderBottom { margin:0 6px; font-size:1px; height:6px; }
	.borderBottomHack { height:100%; width:100%; font-size:1px; }

	.cornerBottomLeft { float:left; width:6px; height:6px; font-size:1px; }
	.cornerBottomRight { float:right; width:6px; height:6px; font-size:1px; }

	a img:hover {background-color: #fff;}
</style>

<!--[if IE 6]>
<style type="text/css">
	#treeFadeOut {
		background:none;
		filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=treefadeout.png',sizingMethod='scale');
	}

	.borderTop { background:none; height:auto; }
	.borderTopHack { margin-top:-6px; background:none; }

	.cornerTopLeft { background:none; filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=corner_lt.png',sizingMethod='scale'); }
	.cornerTopRight { background:none; filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $STAG_PREFIX;?>?do=11&module=<?php echo $MODULE;?>&img=corner_rt.png',sizingMethod='scale'); }

	.borderLeft { background:none; }
	.borderRight { background:none; }

	.borderBottom { background:none; height:auto; }
	.borderBottomHack { margin-top:-6px; background:none; }

	.cornerBottomLeft { background:none; }
	.cornerBottomRight { background:none; }

	#treeArea { position:absolute; left:17px; top:0; width:263px; }	
</style>
<![endif]-->

<div class="borderContainer" id="borderContainer">
	<div id="borderLeft" class="borderLeft"></div>
	<div id="borderRight" class="borderRight"></div>
	<div id="treeArea">
		<script type="text/javascript">
/**
 * global vars for all that tree frame resizing stuff
 */
var maxSize = 450;
var minSize = 200;
var size = -1; 
var lastScrollOffset = null;

function getWindowWidth(window) {
	
	if (document.all) {

		if (!window.document.body || !window.document || !window.document.body.clientWidth) {
			return 0;
		}

		return window.document.body.clientWidth;
	}

	return window.innerWidth;
}

function keepMenuThere() {
	var menu = top.menu.document.getElementById("menu");

	if (!menu || !menu.style) {
		return;
	}

	// We can't calculate the menu_offset when the assistant frame is not loaded yet
	if ( typeof top.main.ass === "undefined" ) {
	        return;
	}

	var menu_offset = (getWindowWidth(top.tree) + getWindowWidth(top.main.ass)) - getWindowWidth(top.logo);

	// IE needs special treatment, now don't ask why!
	if (document.all) {
		menu_offset += 20;
	}

	if (menu_offset < 0) {
		menu_offset = 0;
	}

	menu.style.paddingLeft = menu_offset + "px";
}

/**
 * offset the logo frame's background image so that seamless fit with the menu frame is achieved 
 */
function offsetLogoBG() {
	keepMenuThere();
}

// logo bg has to be invoked on resize
if (window.addEventListener) {
	window.addEventListener("resize", offsetLogoBG, false);
} else if (window.attachEvent) {
	window.attachEvent("onresize", offsetLogoBG);
} else {
	window.onresize = offsetLogoBG();
}
offsetLogoBG();

//var setSticky = <?=$STICKY_TREE ? "true" : "false";?>;
top.isTreeSmall = false;

function toggleTree() {
	if ( top.isTreeSmall ) {
		top.tree.frame_big();	
	} else {
		top.tree.frame_small();
	}
}

/**
 * resize the tree to big version
 */
function frame_big() {
	var _isTreeSmall = top.isTreeSmall;
	top.isTreeSmall = false;
	// adjust display of instant messages
	GTXInstantMessenger.toggleTree();
	// on first call the tree size has to be calculated
	var firstCall = false;

	var widthOfTheTree = tree_width;

	if (widthOfTheTree == "") {
		widthOfTheTree = tree_width;
	}

	if (size == -1) {
	  firstCall = true;
	  document.getElementById('treeArea').style.display = "block";
		size = (top.tree.document.getElementById("treeTable").scrollWidth > maxSize) ? maxSize : top.tree.document.getElementById("treeTable").scrollWidth;
		if (size < minSize) {
			size = minSize;
		} else if (size > maxSize) {
			size = maxSize;
		}
	}

	// Chrome doesn't like frameset resizing
	// Important: change this value when you change the frameset also
	<?php if ($isChrome) { ?>if (top.document.getElementsByTagName('frameset')[2].cols == '300,*') {<?php } ?>
		top.document.getElementsByTagName('frameset')[2].setAttribute('cols', widthOfTheTree + ',*');
	<?php if ($isChrome) { ?>}<?php } ?>

	document.getElementById('treeArea').style.display = "block";
	document.getElementById('tree_flap').style.display = "none";
	document.getElementById('tree_funcs').style.display = "block";

    var usersOnline = top.logo.document.getElementById('usersOnline');
	if (usersOnline) {
		usersOnline.style.display = "block";
	}

	var userClockInfo = top.logo.document.getElementById('userClockInfo');
	if (userClockInfo) {
		userClockInfo.style.display = "block";
	}

	var logo = top.logo.document.getElementById('logo');
	if (logo) {
		logo.className = "logo_wide";
	}

	var scrolldiv = gtxScrollElement;
	if (firstCall && top.treeLastScrollPos != undefined) {
		scrolldiv.scrollLeft = top.treeLastScrollPos[0];
		scrolldiv.scrollTop = top.treeLastScrollPos[1];
	}
	else if (_isTreeSmall && lastScrollOffset != null) {
		scrolldiv.scrollLeft = lastScrollOffset[0];
		scrolldiv.scrollTop = lastScrollOffset[1];
	}

scrolldiv.scrollTop = 300;

	var tree = top.document.getElementsByName("tree")[0];
	tree.noResize = false;
	tree.scrolling = "auto";
	tree.style.overflow = "auto";
}

function treeOnUnload() {
  if(!top.isTreeSmall) {
    top.treeLastScrollPos = new Array( gtxScrollElement.scrollLeft, gtxScrollElement.scrollTop );
  }
}

/**
 * resize the tree to small version
 */
function frame_small() {

	if(!top.isTreeSmall) {
	  top.treeLastScrollPos = new Array( gtxScrollElement.scrollLeft, gtxScrollElement.scrollTop );
	  lastScrollOffset = new Array( gtxScrollElement.scrollLeft, gtxScrollElement.scrollTop );
	}
	
	top.isTreeSmall = true;
	// adjust display of instant messages
	GTXInstantMessenger.toggleTree();
	<? if ($FEATURE['quickjump']) { ?>
	// hide Quickjump
	GTXQuickJump.hide();
	<? } ?>
	
	// in some cases, this method is not yet available, so catch errors
	try {
		hide_context_menus();
	} catch(e) {
	}

	var tree = top.document.getElementsByName("tree")[0];
	tree.noResize = true;
	tree.scrolling = "no";
	tree.style.overflow = "hidden";

	top.document.getElementsByTagName('frameset')[2].cols = '90,*';
	document.getElementById('treeArea').style.display = "none";
	document.getElementById('tree_flap').style.display = "block";
	document.getElementById('tree_funcs').style.display = "none";
}


    var treeArea_offset = 37; // 52
    var border_offset = 17; // 32
    
    function resizeTreeArea() {
		if(!treeArea_offset) {
			treeArea_offset = 37;
		}
		if(!border_offset) {
			border_offset = 17;
		}
		var winHeight = gtx_getInnerHeight();
		var winWidth = gtx_getInnerWidth();
	
	    document.getElementById('treeArea').style.height = (parseInt(winHeight)- treeArea_offset) + "px";

	    if (document.all) {
	    	gtxScrollElement = top.tree.document.documentElement;
	    }
	    else {
	    	gtxScrollElement = top.tree.document.body;
	    }

		resizeAssLeft(winHeight);

		/*document.getElementById('borderContainer').style.height = (parseInt(winHeight)- border_offset) + "px";
        document.getElementById('borderLeft').style.height = (parseInt(winHeight)- border_offset) + "px";
        document.getElementById('borderRight').style.height = (parseInt(winHeight)- border_offset) + "px";*/

		var widthOfTheTree = getWindowWidth(top.tree);

		if (!top.isTreeSmall && widthOfTheTree != 300 && widthOfTheTree) {
			tree_width = widthOfTheTree;
			var today = new Date();
			var expire = new Date();
			expire.setTime(today.getTime() + 3600000*24*365);
			document.cookie = "cn_tree_width="+escape(tree_width) + ";expires="+expire.toGMTString();
		}
    }
    resizeTreeArea();

    function resizeAssLeft(winHeight) {

        if (top.main.ass && top.main.ass.document.getElementById('borderContainerAssLeft')) {	 
		    top.main.ass.document.getElementById('borderContainerAssLeft').style.height = (parseInt(winHeight)- (border_offset + 10)) + 'px';
		} else {
		    setTimeout("resizeAssLeft(" + winHeight + ")", 100);
		}

		keepMenuThere();
    }
			
			/*
			top.onresize = resizeTreeArea;
			if (document.attachEvent) {
				top.tree.onresize = resizeTreeArea;
			}
			*/
</script>

		<form action=<? echo "$STAG&do=300"; ?> method=POST>
<?php 
 echo $tree; 
?>
		</form>

		 <script type="text/javascript">
			if (top.menu) {
				if (top.menu.write_status) {
			top.menu.write_status('check_msg', '<table cellpadding=0 cellspacing=0 border=0><tr><td><img src=\"?do=11&module=system&img=menu_delimeter.png\" border=\"0\" alt=\"\"><img src=\"?do=11&module=system&img=null.gif\" border=\"0\" alt=\"0\" width=\"10\" height=\"1\"></td><td valign=middle><a href=\"?sid=V1wQ5bbZqlkvRDh&time=1172754929&do=8\" target=list><img src=\"?do=11&module=system&img=inbox.gif\" border=\"0\" alt=\"\"></a></td><td nowrap valign=middle><img src=\"?do=11&module=system&img=null.gif\" border=\"0\" alt=\"0\" width=\"7\" height=\"1\"><a href=\"?sid=V1wQ5bbZqlkvRDh&time=1172754929&do=8\"  target=list>0 neue Nachrichten</a></td></tr></table>');
			top.menu.write_status('check_online_user', '<table cellpadding=0 cellspacing=0 border=0><tr><td><img src=\"?do=11&module=system&img=menu_delimeter.png\" border=\"0\" alt=\"\"><img src=\"?do=11&module=system&img=null.gif\" border=\"0\" alt=\"0\" width=\"10\" height=\"1\"></td><td valign=middle><a href=\"#\" target=list><img src=\"?do=11&module=system&img=user.gif\" border=\"0\" alt=\"\"></a></td><td nowrap valign=middle><img src=\"?do=11&module=system&img=null.gif\" border=\"0\" alt=\"0\" width=\"7\" height=\"1\"><a href=\"#\"  onclick=\"window.open(\'?sid=V1wQ5bbZqlkvRDh&time=1172754929&do=411\',\'users\',\'dependent=yes,status=no,width=550,height=400,resizable=yes\'); return false;\" target=list>2 Benutzer online</a></td></tr></table>');
			
				}
				if ( top.stream ) {
					if ( top.stream.streamPopup ) {
						if(  !top.stream.streamPopup.closed )
						{
							top.stream.streamPopup.document.location.href = top.stream.streamPopup.document.location.href;
							 
						}
					}
				}
			}
			</script>
		
			<script type="text/javascript">
				
				function footer_docresize() {
				  
				}
			
				function footer_docclick() {
				  
				  
			//    contextLayer.releaseCapture();
				if ( AllowContextmenuHiding )
				{
					hide_context_menus();
				}
				AllowContextmenuHiding = true;
				
				}
			
				function footer_onload() {
				  
				}
				function footer_onunload(event) {
				  
				}
			</script>
                <br /><br />
            </div>
        
            <div style="clear:both;"></div>
        </div>
        <div class="borderBottomContainer" style="margin-left:11px;">
            <div class="cornerBottomLeft"></div>
            <div class="cornerBottomRight"></div>
            <div class="borderBottom"><div class="borderBottomHack"></div></div>
        </div>
<? if ($FEATURE["quickjump"]) { ?>
<!-- QuickJump html snipplet -->
<div id="quickjump" class="shadow">
	<a id="esc_quickjump" href="#" onclick="GTXQuickJump.hide();" title="Esc"><img src="<?=$STAG_PREFIX;?>?do=11&module=system&img=close.png" alt="<?=i18n("close");?>" title="<?=i18n("close");?>" width="30" height="30"/></a>
	<h2>Quickjump</h2>
	<form action="<?=$STAG;?>&do=14019" method="POST" target="list">
    	<input type="text" name="pagejump" id="pagejump"/>
    	<input type="text" name="pagejumpId" id="pagejumpId"/>
	    <input type="image" src="<?=$STAG . "&do=11&module=system&img=quickjump.gif";?>" alt="Go!" style="margin-bottom: -4px;"/>
	</form>
</div>
<? } ?>
<script type="text/javascript">
<? if ($FEATURE["quickjump"]) { ?>
// initialize quick jumper
GTXQuickJump.init("<?=$STAG;?>", true);
<? } 
if ($FEATURE["instantmessages"]) {
?>
// initialize instant messenger
GTXInstantMessenger.init("<?=$STAG;?>", { message: "<?=i18n("Nachricht");?>" });
<?
}
?>
</script>